std::numbers Namespace Reference

## Variables

constexpr double | e
template<typename _Tp >
constexpr _Tp | e_v
constexpr double | egamma
template<typename _Tp >
constexpr _Tp | egamma_v
constexpr double | inv_pi
template<typename _Tp >
constexpr _Tp | inv_pi_v
constexpr double | inv_sqrt3
template<typename _Tp >
constexpr _Tp | inv_sqrt3_v
constexpr double | inv_sqrtpi
template<typename _Tp >
constexpr _Tp | inv_sqrtpi_v
constexpr double | ln10
template<typename _Tp >
constexpr _Tp | ln10_v
constexpr double | ln2
template<typename _Tp >
constexpr _Tp | ln2_v
constexpr double | log10e
template<typename _Tp >
constexpr _Tp | log10e_v
constexpr double | log2e
template<typename _Tp >
constexpr _Tp | log2e_v
constexpr double | phi
template<typename _Tp >
constexpr _Tp | phi_v
constexpr double | pi
template<typename _Tp >
constexpr _Tp | pi_v
constexpr double | sqrt2
template<typename _Tp >
constexpr _Tp | sqrt2_v
constexpr double | sqrt3
template<typename _Tp >
constexpr _Tp | sqrt3_v

## Detailed Description

Namespace for mathematical constants.

## Variable Documentation

## e_v

template<typename _Tp >

constexpr _Tp std::numbers::e_v

inline constexpr

e

Definition at line 59 of file numbers.

## egamma_v

template<typename _Tp >

constexpr _Tp std::numbers::egamma_v

inline constexpr

The Euler-Mascheroni constant.

Definition at line 114 of file numbers.

## inv_pi_v

template<typename _Tp >

constexpr _Tp std::numbers::inv_pi_v

inline constexpr

1/pi

Definition at line 79 of file numbers.

## inv_sqrt3_v

template<typename _Tp >

constexpr _Tp std::numbers::inv_sqrt3_v

inline constexpr

1/sqrt(3)

Definition at line 109 of file numbers.

## inv_sqrtpi_v

template<typename _Tp >

constexpr _Tp std::numbers::inv_sqrtpi_v

inline constexpr

1/sqrt(pi)

Definition at line 84 of file numbers.

## ln10_v

template<typename _Tp >

constexpr _Tp std::numbers::ln10_v

inline constexpr

log_e 10

Definition at line 94 of file numbers.

## ln2_v

template<typename _Tp >

constexpr _Tp std::numbers::ln2_v

inline constexpr

log_e 2

Definition at line 89 of file numbers.

## log10e_v

template<typename _Tp >

constexpr _Tp std::numbers::log10e_v

inline constexpr

log_10 e

Definition at line 69 of file numbers.

## log2e_v

template<typename _Tp >

constexpr _Tp std::numbers::log2e_v

inline constexpr

log_2 e

Definition at line 64 of file numbers.

## phi_v

template<typename _Tp >

constexpr _Tp std::numbers::phi_v

inline constexpr

The golden ratio, (1+sqrt(5))/2.

Definition at line 119 of file numbers.

## pi_v

template<typename _Tp >

constexpr _Tp std::numbers::pi_v

inline constexpr

pi

Definition at line 74 of file numbers.

## sqrt2_v

template<typename _Tp >

constexpr _Tp std::numbers::sqrt2_v

inline constexpr

sqrt(2)

Definition at line 99 of file numbers.

## sqrt3_v

template<typename _Tp >

constexpr _Tp std::numbers::sqrt3_v

inline constexpr

sqrt(3)

Definition at line 104 of file numbers.